#!/bin/sh -ex

add_history () {
    echo 'First line' > file
    git add file
    git commit -m 'first commit'
    echo 'Second line' >> file
    git add file
    git commit -m 'second commit'
}

tempdir="$(mktemp -d)"
trap "cd && rm -rf '${tempdir}'" EXIT
cd "${tempdir}"
git init p1
cd p1
echo '((nil . ((eval . (message "Eval called")))))' > .dir-locals.el
git add .dir-locals.el
add_history
git init ../p2
cd ../p2
add_history
cd ..

echo 'C-x C-f p1/file -> press !
C-x v l
C-h v file-local-variables-alist (contains eval message?)
C-x o
C-x C-f ../p2/file
C-x v l
C-h v file-local-variables-alist (still contains eval message?)' > README

emacs --fg-daemon=dirlocals -Q &
pid=$!

# Give some time to the daemon to start.
sleep 5
emacsclient -a 'false' -s dirlocals -c README --no-wait
wait $pid
